Bug 161175 - Segmentation fault while starting the writer
Segmentation fault while starting the writer
Status: CLOSED DUPLICATE of bug 157024
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
4
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-20 23:37 EDT by Danil Sholokhov
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-21 07:51:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
trace from starting soffice via bash -x (5.09 KB, text/plain)
2005-06-21 06:53 EDT, Danil Sholokhov
no flags Details

  None (edit)
Description Danil Sholokhov 2005-06-20 23:37:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
I am getting segmentation fault when I attempt to start oppenoffice writer.
/usr/lib/openoffice.org1.9.104/program/soffice: line 247:  6710 Segmentation fault      "$sd_prog/$sd_binary" "$@"


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.openoffice.org-1.9 -writer %U
2.
3.
  

Actual Results:  /usr/lib/openoffice.org1.9.104/program/soffice: line 247:  6710 Segmentation fault      "$sd_prog/$sd_binary" "$@"


Expected Results:  Expecting to see the app

Additional info:
Comment 1 Caolan McNamara 2005-06-21 03:54:54 EDT
a) do you have a nvidia card ?
b) can you gdb /usr/lib/openoffice.org1.9.104/program/soffice.bin
  (gdb) run 
  and attach the output here
Comment 2 Danil Sholokhov 2005-06-21 06:53:05 EDT
Created attachment 115744 [details]
trace from starting soffice via bash -x
Comment 3 Danil Sholokhov 2005-06-21 06:57:59 EDT
a. yes i have a nvidia card gforce fx 5200
b. When I start the binary directly
"/usr/lib/openoffice.org1.9.104/program/soffice.bin" the app executes without
any problems. The problem occure when i try to start the app from the script. 
I modified the script's line # 247, I added "gdb" infront of the line and tried
to run it again. Attached, please find the debug output from the bash -x and gdb.

Comment 4 Caolan McNamara 2005-06-21 07:51:43 EDT
the crucial line is...

#2  0xf764295e in glXChannelRectSyncSGIX () from /usr/lib/libGL.so.1 



*** This bug has been marked as a duplicate of 157024 ***

Note You need to log in before you can comment on or make changes to this bug.